#!/usr/bin/python2

# (C) Copyright 2017 Robert C. Edgar
# License: GPL3
# https://opensource.org/licenses/GPL-3.0

# Phred score quality filtering described in Bokulich et al. Nat Meth 2013.
# OTU abundance filtering (c parameter) is not supported.

# Usage:
#	python2 bokulich_filter.py < reads.fastq > filtered.fastq

r = 3
p = 0.75
n = 0
q = 3

import sys

def GetLine():
	Line = sys.stdin.readline()
	assert len(Line) > 0
	return Line.strip()

while 1:
	Line = sys.stdin.readline()
	if len(Line) == 0:
		break

	Label = Line.strip()
	Seq = GetLine()
	Plus = GetLine()
	Qual = GetLine()
	L = len(Seq)

	assert Label.startswith('@')
	assert Plus[0] == '+'
	assert len(Qual) == L

	BadRun = 0
	Ns = 0
	M = L
	for i in range(0, L):
		Q = ord(Qual[i]) - 33
		if Q > q:
			BadRun = 0
		else:
			BadRun += 1
			if BadRun > r:
				M = i - BadRun + 1
				if float(M)/L < p:
					M = 0
				break

		if Seq[i] == 'N':
			Ns += 1
			if Ns > n:
				M = 0
				break

	if M > 0:
		print >> sys.stdout, Label
		print >> sys.stdout, Seq[0:M]
		print >> sys.stdout, "+"
		print >> sys.stdout, Qual[0:M]
