#!/bin/bash

# Find false negatives in the GG97 clustering.
# Pairs with 100% identity are unambiguous false negatives.
# Pairs with >97% identity are probably false negatives, but another
#   program might disagree on the identity.

# Requires this environment variable:
#	$usearch	usearch v10.0 command name

# Download GG97 from this URL into ../downloads/gg97.fa:
# 	https://github.com/biocore/qiime-default-reference/blob/master/qiime_default_reference/gg_13_8_otus/rep_set/97_otus.fasta.gz
gg97=../downloads/gg97.fa

d=../gg97_fn
mkdir -p $d

$usearch -cluster_fast $gg97 -id 0.97 -maxrejects 128 -maxaccepts 4 \
  -top_hits_only -uc $d/hits.uc -userout $d/hits.txt \
  -userfields query+target+id+diffs
