#!/bin/bash

# Requires this environment variable:
#	$usearch	usearch v10.0 command name

# Download the Greengenes FASTA file (gg_13_5.fasta.gz) from this directory:
# http://greengenes.secondgenome.com/downloads/database/13_5

# Unzip and set the path name in this variable:
gg=../downloads/gg.fa

mkdir -p ../gg_tags ../gg_tags_tmp

# Extract tags
for x in v4 v34 v45 v35 v13 v69
do
	$usearch -search_pcr $gg -db ../primers/$x.fa -strand both \
	  -threads 6 -ampout ../gg_tags_tmp/$x.fa -maxdiffs 2
done

# Identify unique tag sequences
for x in v4 v34 v45 v35 v13 v69
do
	$usearch -fastx_uniques ../gg_tags_tmp/$x.fa -fastaout ../gg_tags/$x.fa
done
