#!/bin/bash

# Requires this environment variable:
#	$usearch	usearch v10.0 command name

mkdir -p ../known_tags ../known_tags2 ../known_tags2x

# Loop over all known tags (mock community + primer pair combos)
for set in hmp extreme
do
	for x in v4 v34 v45 v35 v13 v69
	do
		$usearch -search_pcr ../data/${set}_mock_16s.fa -db ../primers/$x.fa -strand both \
		  -threads 6 -ampout ../known_tags2/${set}_$x.fa -maxdiffs 2
	done

	for x in v4 v34 v45 v35 v13 v69
	do
		name=${set}_$x
		$usearch -fastx_uniques ../known_tags2/$name.fa -fastaout ../known_tags/$name.fa
	done
done
