#!/usr/bin/python2

# Generate all possible sequences with one substitution from 
# input sequences in a FASTA file.
#
# Usage:
#	make_one_subs.py input.fasta > output.fasta

import sys

FileName = sys.argv[1]

ACGT = [ 'A', 'C', 'G', 'T' ]

def OnSeq(Label, Seq):
	L = len(Seq)
	Seq = Seq.upper()
	for i in range(0, L):
		c = Seq[i]
		if c in ACGT:
			for d in ACGT:
				if d != c:
					NewSeq = Seq[:i] + d + Seq[i+1:]
					NewLabel = Label + ";sub=%d.%c%c;" % (i+1, c, d)
					print >> sys.stdout, ">" + NewLabel
					print >> sys.stdout, NewSeq
			
File = open(FileName)
Label = ""
Seq = ""
while 1:
	Line = File.readline()
	if len(Line) == 0:
		if Seq != "":
			OnSeq(Label, Seq)
		break
	Line = Line.strip()
	if len(Line) == 0:
		continue
	if Line[0] == ">":
		if Seq != "":
			OnSeq(Label, Seq)
		Label = Line[1:]
		Seq = ""
	else:
		Seq += Line
