#!/bin/bash

# Get identities according to uclustq of all known tags with GG97
# Requires known tags generated by make_known_tags.bash

# Requires this environment variable:
#	$uclustq	Set to uclustq command name

# Download GG97 from this URL into ../downloads/gg97.fa:
# 	https://github.com/biocore/qiime-default-reference/blob/master/qiime_default_reference/gg_13_8_otus/rep_set/97_otus.fasta.gz
gg97=../downloads/gg97.fa

# Output directory
d=../uclustq_known_tags_vs_gg97

# Loop over all known tags (mock community + primer pair combos)
for set in hmp extreme
do
	for x in v4 v34 v45 v35 v13 v69
	do
		# Use large maxaccepts and maxrejects to 
		# ensure getting the highest-identity match
		name=${set}_$x
		$uclustq --input ../known_tags2/$name.fa --lib $gg97 \
		  --uc $d/$name.uc --libonly --id 0.9 --maxaccepts 16 --maxrejects 128
	done
done
