#!/bin/bash

# Calculate weighted Unifrac for OTU table.
# Use convert_otu_table.bash to convert QIIME to tabbed.
# Input must be in ../otu_tables_tabbed directory.
# Output is written in ../unifrac directory.

# Input is a merged OTU table for all mock samples.
# To convert QIIME to tabbed use convert_otutable.bash.
# To merge OTU tables use the -otutab_merge command 
#   in usearch v10.

# Requires this environment variable:
#	$usearch	usearch v10.0 command name

# Requires GG97 tree, download from this URL and save to ../downloads/gg97.phy:
#	https://github.com/biocore/qiime-default-reference/blob/master/qiime_default_reference/gg_13_8_otus/trees/97_otus.tree.gz

mkdir -p ../unifrac

$usearch -beta_div ../otu_tables_tabbed/$1 -metrics unifrac \
  -filename_prefix ../unifrac/$1 -tree ../downloads/gg97.phy
