#!/bin/bash

# Make FASTA input file for QIIME. Does two things:
#	Makes two copies of each sequence so that singletons are not discarded.
#	Re-labels the sequences with a given sample name (use the data set name).
# Output is written to ../fasta_qiime directory.

# You should NOT use this script for testing reads from FASTQ files
# because discarding singletons is part of the open-reference algorithm.
# This is for testing with known tags & known tags with substitutions.
# With FASTQ reads, you should 1. filter, 2. convert FASTQ to FASTA, and
# 3. use fasta_relabel_qiime.py directly.

# Usage:
#	./make_qiime_fasta.bash inputfile setname

cat $1 $1 > /tmp/tmp.fa

mkdir -p ../fasta_qiime
python2 ./fasta_relabel_qiime.py /tmp/tmp.fa $2 > ../fasta_qiime/$2.fa

rm -f /tmp/tmp.fa
